Skip to main content
GET
/
v2
/
transaction
Buscar transações (v2)
curl --request GET \
  --url https://sandbox.api.veepag.com/v2/transaction \
  --header 'apiKey: <api-key>'
[]

Authorizations

apiKey
string
header
required

API key no formato keyId.secret.

Query Parameters

endLastUpdate
string<date-time>

End date for last update filter (format: ISO date)

startLastUpdate
string<date-time>

Start date for last update filter (format: ISO date)

endDate
string<date-time>

End date filter (format: ISO date)

startDate
string<date-time>

Start date filter (format: ISO date)

status
string[]

Transaction status

clientDoc
string

Client document Documento do cliente, CPF ou CNPJ.

clientId
string

Client ID

subscriptionId
string

Subscription ID

tid
string

Transaction TID

id
string

Transaction ID

companyId
string
required

Company ID

Example:

"company_id"

Response

Lista de transacoes.

_id
string
companyId
string
clientId
string
productId
string
subscriptionId
string
chargeId
string
amount
number
installments
number
paymentMethod
enum<string>
Available options:
CREDIT_CARD,
DEBIT_CARD,
BOLETO,
PIX
status
enum<string>
Available options:
PAID,
PROCESSING,
DECLINED,
CANCELED,
DISCARDED,
AUTHORIZED,
IN_ANALYSIS,
ERROR_PAYMENT,
DISPUTE,
STANDBY,
CHARGEBACK,
PENDING_REVIEW,
PENDING_3DS,
BLOCKED,
INVALID_PAYMENT,
NO_PAYMENT_ROUTE,
PENDING_PAYMENT,
ERROR_REFUNDED
message
string
message2
string
card
object
acquirer
object
boleto
object
qrCode
object
metadata
object
createdAt
string<date-time>
lastUpdate
string<date-time>